package com.book.dao.polardb.mapper;

import com.book.dao.polardb.entity.SunUser;
import com.book.dao.polardb.pojo.example.SunUserExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

@Mapper
@Repository
public interface SunUser2Mapper {
    int selectCountUserByDay(@Param("startDate") String startDate, @Param("endDate") String endDate);
    HashMap<String, String> selectByDay(@Param("startDate") String startDate, @Param("endDate") String endDate);
    List<HashMap<String, String>> selectByDayChannel(@Param("startDate") String startDate, @Param("endDate") String endDate);
    List<HashMap<String, String>> selectCountByDayChannel(@Param("startDate") String startDate, @Param("endDate") String endDate);
}